/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core;

/**
 * Class for block evaluation like "try" block in Java
 *   
 * @author Adrabi Abderrahim
 * @version 1.1
 */
public class AEval extends ABlock{

	// for storing a evaluate block exception
	private Throwable exception = null;

	/**
	 * Return a current block exception
	 * @return
	 */
	public Throwable getException() {
		return exception;
	}

	/**
	 * Set a current block exception
	 * @param $1 (Throwable : Exception Value)
	 */
	public void setException(Throwable $1) {
		this.exception = $1;
	}
	
}
