/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core.exceptions;

/**
 * Undefined Field Exception for non-existens fields
 * @author Adrabi Abderrahim
 * @version 1.1
 */

public class UndefinedFieldException extends Exception{

	private static final long serialVersionUID = 1L;
	
	/**
	 * 
	 * @param $1 (String : Subroutine Name)
	 * @param $2 (Long[] : Position)
	 */
	public UndefinedFieldException(String $1, long[] $2 ){
		super( "The field " + $1 + " is undefined @[" + $2[0] + "," + $2[1] + "]" );
	}
}
