/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core.exceptions;

import java.util.Arrays;

/**
 * Undefined Object Exception for non existens objects
 * @author Adrabi Abderrahim
 * @version 1.1
 */

public class UndefinedObjectException extends Exception {

	private static final long serialVersionUID = 1L;
	
	public UndefinedObjectException(String $1, long[] $4 ){
		super( "The object " + $1  + " @" + Arrays.toString( $4 ) );
	}
}
