/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */


package alefpp.core.exceptions;

/**
 * Variable Not Found Exception for not found variable in scope in parent scope
 * @author Adrabi Abderrahim
 * @version 1.1
 */

public class VariableNotFoundException extends Exception {

	private static final long serialVersionUID = 1L;
	public VariableNotFoundException(String $1, long[] $2){
		super("Variable " + $1 + " not found @[" + $2[0] + "," + $2[1] + "]" );
	}
}
