/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core.exceptions;

/**
 * Void Subroutine Exception cannot return a value. 
 * @author Adrabi Abderrahim
 * @version 1.1
 */

public class VoidSubroutinesException extends Exception {

	private static final long serialVersionUID = 1L;

	public VoidSubroutinesException(String $1 , long[] $2){
		super( "Void subroutine " + $1 + " cannot return a value @[" + $2[0] + "," + $2[1] + "]" );
	}
}
