/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.reflect;

/**
 * 
 * @author Adrabi Abderrahim
 * @version 1.1
 */
public class Cast {
	/**
	 * Get value if casting is success
	 * @param $1 (String : Class Name)
	 * @param $2 (Object : Object to be casted)
	 * @return
	 */
	public static Object tryCast( String $1 , Object $2 ){
		try {
			Class clazz = Reflection.classType( Reflection.fullIdentifier($1) );
			
			if( clazz.isInstance($2) ){
				return clazz.cast($2);
			}
		} catch (ClassNotFoundException e) {
			
		} catch(ClassCastException e){
			
		}
		return null;
	}
	
	/**
	 * Get value if casting is success
	 * @param $1 (String : Class Name)
	 * @param $2 (Object : Object to be casted)
	 * @return
	 */
	public static Object tryCast( Class $1 , Object $2 ){
		try {
			Class clazz = $1;
			
			if( clazz.isInstance($2) ){
				return clazz.cast($2);
			}
		} catch(ClassCastException e){
			
		}
		return null;
	}
}
