/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core;

/**
 * Class "catch" block for evaluation block "eval" 
 * 
 * @author Adrabi Abderrahim
 * @version 1.1
 */

public class ACatch extends ABlock{
	
	Object block	= null ;
	
	/**
	 * Constructure with block for executing
	 * @param $1 (Object : Block to execute)
	 */
	public ACatch( Object $1 ){
		this.block = $1;
	}

	public Object getBlock() {
		return block;
	}

	public void setBlock(Object block) {
		this.block = block;
	}
	
	
}
