package alefpp.core;

public class ALast extends Throwable {

	private static final long serialVersionUID = 1L;

	private String labelName = null;
	
	private long[] position	 = null; 
	
	/**
	 * 
	 * @param $1 (Long[] : Position)
	 */
	public ALast(long [] $1){
		super( "last @[" + $1[0] + "," + $1[1] + "] cannot be used out of a loop" );
		this.position = $1;
	}
	
	/**
	 * 
	 * @param $1 (Long[] : Position)
	 */
	public ALast(long [] $1 , String $2){
		super( "last @[" + $1[0] + "," + $1[1] + "] cannot be used out of a loop" );
		this.position  = $1;
		this.labelName = $2;
	}

	public String getLabelName() {
		return labelName;
	}

	public void setLabelName(String labelName) {
		this.labelName = labelName;
	}
	
	public boolean hasLabel(){
		return this.labelName != null && this.labelName.length() > 0 ;
	}

	public long[] getPosition() {
		return position;
	}

	public void setPosition(long[] position) {
		this.position = position;
	}
	
	
}
