/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core;

/**
 * This class for sepecifing a statements types, fields or subroutines calling 
 * @author Adrabi Abderrahim
 * @version 1.1
 */
public class AMemberAccess extends AStatement{

	private AStatement		parent	;
	private AStatementType 	type	;
	private String			name	;
	private Object			object	;
	
	public AMemberAccess(AStatementType $1){
		this.type = $1;
	}
	
	public AMemberAccess(AStatementType $1, AStatement $2){
		this.type	= $1;
		this.parent	= $2;
	}
	
	public AMemberAccess(AStatementType $1, AStatement $2 , String $3 , Object $4){
		this.type	= $1;
		this.parent	= $2;
		this.name	= $3;
		this.object	= $4;
	}
	
	public AStatementType getType(){
		return this.type;
	}
	
	public String getName(){
		return this.name;
	}
	
	public Object getObject(){
		return this.object;
	}
	
	public AStatement parent() {
		return this.parent;
	}

	public boolean parent(AStatement $1) {
		return ( this.parent = $1 ) == null;
	}

}
