/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core;

/**
 * This is a base of All Alef++ Objects
 * @author Adrabi Abderrahim
 * @version 1.2
 */

public abstract class AStatement implements Parent{
	private long		lineNumber	=	0;
	private long		columnNumber=	0;
	
	public long getLineNumber() {
		return lineNumber;
	}

	public void setLineNumber(long $1) {
		this.lineNumber = $1;
	}

	public long getColumnNumber() {
		return columnNumber;
	}

	public void setColumnNumber(long $1) {
		this.columnNumber = $1;
	}
	
}
