/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core;

/**
 * 
 * @author Adrabi
 * @version 1.1
 */

public enum Modifier {
	Static		( 0x000001 ),
	Public 		( 0x000010 ),
	Protected 	( 0x000011 ),
	Private		( 0x000100 ),
	Final		( 0x000101 );
	
	private int bit;
	
	Modifier(int bitNumber)
    {
        bit = bitNumber;
    }

    public int getBitNumber()
    {
        return(bit);
    }
}
