/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * License :: file Artistic.htm
 */

package alefpp.core;

import alefpp.core.types.*;

/**
 * This class for a base for Alef++ variables
 * @author Adrabi Abderrahom
 *
 */

public class Variable extends AStatement{
	
	private String		variableName	=	null;
	private Modifier	modifier		=	null;
	private AObject		value			=	null;
	private Scope		parent			=	null;
	
	public Variable(String $1){
		this.variableName = $1;
	}
	
	public Modifier getModifier() {
		return modifier;
	}
	public void setModifier(Modifier modifier) {
		this.modifier = modifier;
	}
	public AObject getValue() {
		return value;
	}
	public void setValue(AObject value) {
		this.value = value;
	}
	public String getVariableName() {
		return variableName;
	}

	public AStatement parent() {
		return this.parent;
	}

	public boolean parent(AStatement $1) {
		return (this.parent = (Scope)$1) != null;
	}
	
	 
}
