/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core.exceptions;

/**
 * Final Local Variable Exception for final variables can't be change the value befor
 * assgined 
 * @author Adrabi Abderrahim
 * @version 1.2
 */

public class FinalLocalVariableException extends Exception {

	private static final long serialVersionUID = 1L;
	
	public FinalLocalVariableException(String $1, long[] $2){
		super("The final local variable " + $1 + " cannot be assigned. It must be blank and not using a compound assignment @[" + $2[0] + "," + $2[1] + "]");
	}
}
