/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */


package alefpp.core.exceptions;

/**
 * Package Not Found Exception for not found package (loaded package by using
 * use package.* : 'Package Path' )
 * @author Adrabi Abderrahim
 * @version 1.1
 */

public class PackageNotFoundException extends Exception{

	private static final long serialVersionUID = 1L;
	
	public PackageNotFoundException(String $1 , String $2){
		super("Package '" + $1 + "' not found @" + $2);
	}
	
}
