/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.core.exceptions;

/**
 * Unsupported Feature Exception for unsupported featrue in Alef++ (in-development)
 * @author Adrabi Abderrahim
 * @version 1.1
 */
public class UnsupportedFeatureException extends Exception {

	private static final long serialVersionUID = 1L;
	public UnsupportedFeatureException(){
		super("* Sorry this feature doesn't supported yet ! *");
	}
	
}
