package alefpp.interpreter.utils;

import alefpp.core.AArray;
import alefpp.core.AHash;
import alefpp.core.Walo;

public class List {
	
	public static String forgeType(String $1){
		
		if( $1.contains(":") ){
			String[] types = $1.split(":");
			StringBuilder tmp = new StringBuilder();
			
			for( int $i = 1 ; $i < types.length ; $i++ ){
				tmp.append( types[ $i ] );
				if( $i + 1 < types.length ){
					tmp.append(":");
				}
			}
			
			return tmp.toString();
		}
		
		return $1;
		
	}
	
	
	public static Object forgeValue(String $1){
		
		if( $1.contains( ":" ) ){
			String[] types = $1.split(":");
			if( types[1].equals("Array") ){
				return new AArray();
			}
			else if( types[1].equals("Hash") ){
				return new AHash();
			} 
		}
		
		return new Walo();
	}
}
