/**
 *     _    _       __             
 * 	  / \  | | ___ / _|  _     _   
 *	 / _ \ | |/ _ \ |_ _| |_ _| |_ 
 *	/ ___ \| |  __/  _|_   _|_   _|
 * /_/   \_\_|\___|_|   |_|   |_|  
 *
 * Author	:: Adrabi Abderrahim
 * Mail		:: Adrabi[at]Gmail[dot]Com
 * License	:: files Artistic.htm, GPL.htm
 */

package alefpp.plugins.methods.include;

import java.io.FileInputStream;

import alefpp.interpreter.Interpret;
import alefpp.parser.AlefppParser;
import alefpp.parser.ParseException;

/**
 * Plug-in to include other Alef++ scripts
 * @author Adrabi Abderrahim
 * @version 1.1
 */

public class Include {

	public static Object forge(String $1, Object $2, Object ... $3) throws ParseException, Throwable {
		if( $3.length > 0 ){
			Interpret inter = (Interpret) $2;
			for( Object tmp : $3 ){
				AlefppParser parser = new AlefppParser(new FileInputStream( tmp.toString() ));
				inter.visit(parser.Alefpp() , null);
			}
			
		}
		return true;
	}
}
